Access

Revoke Access

Revoke an access

DELETE
https://api.textreveal.com/v3/acl/{acl_id}

Request

Parameters

  • acl_id*uuid

    Unique identifier of the access grant.

    Example: "9c858e93-6f36-4f3e-9c34-5f6a1a3d9b21"

Response

Response - 204

Access successfully revoked

Error

Error - 400

Bad request

  • message*string

    Error message.

    Example: "Check the errors field for more details"
  • code*number (enum)

    Error code.

    Values: 400
  • reason*string (enum)

    Error reason.

    Values: "invalid"
  • errorsobject[]

    Possible error causes.

    Array length: [1, ∞]
Response
{
  "message": "Check the errors field for more details",
  "code": 400,
  "reason": "invalid",
  "errors": [
    {
      "message": "string",
      "field": "acl_id",
      "reason": "invalid_type"
    }
  ]
}

Error - 403

Forbidden

  • message*string

    Error message.

    Example: "You are not allowed to update this universe"
  • code*number (enum)

    Error code.

    Values: 403
  • reason*string (enum)

    Error reason.

    Values: "forbidden"
Response
{
  "message": "You are not allowed to update this universe",
  "code": 403,
  "reason": "forbidden"
}

Error - 404

Not found

  • message*string

    Error message.

    Example: "The requested universe does not exist or is not visible to your organization."
  • code*number (enum)

    Error code.

    Values: 404
  • reason*string (enum)

    Error reason.

    Values: "not_found"
Response
{
  "message": "The requested universe does not exist or is not visible to your organization.",
  "code": 404,
  "reason": "not_found"
}

Error - 409

Conflict

  • message*string

    Error message.

    Example: "This access grant cannot be removed because it is the last OWNER access on the resource."
  • code*number (enum)

    Error code.

    Values: 409
  • reason*string (enum)

    Error reason.

    Values: "invalid"
Response
{
  "message": "This access grant cannot be removed because it is the last OWNER access on the resource.",
  "code": 409,
  "reason": "invalid"
}

Generic errors are not shown, see Errors for more details.